Skip to main content
GET
Get users

Authorizations

X-API-KEY
string
header
required

Query Parameters

websiteId
string<uuid>

The ID of the website

Example:

"123e4567-e89b-12d3-a456-426614174000"

organizationId
string<uuid>

The ID of the organization

Example:

"123e4567-e89b-12d3-a456-426614174001"

walletAddress
string

The wallet address of the user

Example:

"0x1234567890abcdef1234567890abcdef12345678"

startingAfter
string<uuid>

Pagination cursor to start after a specific user ID

Example:

"123e4567-e89b-12d3-a456-426614174020"

limit
integer

Number of users to return

Required range: 1 <= x <= 1000
Example:

10

twitterUser
string

Twitter username of the user

Example:

"elonmusk"

discordUser
string

Discord username of the user

Example:

"elonmusk"

steamUsername
string

Steam username of the user

Example:

"elonmusk"

steamUserId
string

Steam ID of the user

Example:

"1234567890"

telegramUsername
string

Telegram username of the user

Example:

"elonmusk"

telegramUserId
string

Telegram ID of the user

Example:

"1234567890"

tiktokUser
string

TikTok username of the user

Example:

"elonmusk"

redditUser
string

Reddit username of the user

Example:

"elonmusk"

redditUserId
string

Reddit ID of the user

Example:

"1234567890"

emailAddress
string<email>

Email address of the user

Example:

"elonmusk@example.com"

includeDelegation
boolean
default:false

Whether to include delegations in the response

Example:

true

userGroupId
string<uuid>

The ID of the user group

Example:

"123e4567-e89b-12d3-a456-426614174002"

userGroupExternalIdentifier
string

External identifier for the user group controlled by you

externalIdentifier
string

External identifier for the user

Example:

"123e4567"

address
string

The address of the user

Example:

"0x1234567890abcdef1234567890abcdef12345678"

userId

The ID of the user

Example:

"123e4567-e89b-12d3-a456-426614174001"

Response

200

data
User Response · object[]
required

Schema for users response

hasNextPage
boolean
required

Indicates if there is a next page of results